Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2011-5-27 22:23

# Class Story

- Defined in: Story.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Story()

Field Summary
Field Attributes | Field Name and Description
--- | ---
<private> | _children
| commentMode
| comments
| created
| creator
| metadata
| mode
| modified
| modifier
| name
| parent_id
| parent_type
| prototype
| requests
| site
| status
| tags
| text
| title

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | Story.add(data, site, user)
| comments_macro(param, mode)
| count() Increment the request counter
| format_filter(value, param, mode)
<static> | Story.getCommentModes()
| getConfirmText()
| getDelta(data) Calculate the difference of a story’s current and its updated content
| getFormOptions(name)
| getFormValue(name)
| getMacroHandler(name)
<static> | Story.getModes()
| getPermission(action)
<static> | Story.getStatus()
| getTitle(limit)
| isCustomContent(name)
| link_macro(param, action, text)
| macro_filter(value, param)
| referrers_macro(param, limit)
<static> | Story.remove()
| setCustomContent(data)
| summary_macro(param)
| tags_macro(param, mode)
| update(data)
| url_filter(value, param, mode)

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getMetadata
  getTags
  handleMetadata
  input_macro
  kind_macro
  link_filter
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Story()

## Field Detail

<private> {Comment[]} _children
{String} commentMode
{Comment[]} comments
{Date} created
{User} creator
{Metadata} metadata
{String} mode
{Date} modified
{User} modifier
{String} name
{Number} parent_id
{String} parent_type
{String} prototype
{Number} requests
{Site} site
{String} status
{TagHub[]} tags
{String} text
{String} title

## Method Detail

- <static> {Story} Story.add(data, site, user)
  Parameters:
  {Object} data
  {Site} site
  {User} user
  Returns:
    {Story}
- comments_macro(param, mode)
  Parameters:
  {Object} param
  {String} mode
- count()
  Increment the request counter
- {String} format_filter(value, param, mode)
  Parameters:
  {Object} value
  {Object} param
  {String} mode
  Returns:
    {String}
- <static> {String[]} Story.getCommentModes()
  Returns:
    {String[]}
  See:
    defineConstants
- {String} getConfirmText()
  Returns:
    {String}
- {Number} getDelta(data)
  Calculate the difference of a story’s current and its updated content
  Parameters:
  {Object} data
  Returns:
    {Number}
- {String[]} getFormOptions(name)
  Parameters:
  {String} name
  Returns:
    {String[]}
- {Object} getFormValue(name)
  Parameters:
  {String} name
  Returns:
    {Object}
- {HopObject} getMacroHandler(name)
  Parameters:
  {String} name
  Returns:
    {HopObject}
- <static> {String[]} Story.getModes()
  Returns:
    {String[]}
  See:
    defineConstants
- {Boolean} getPermission(action)
  Parameters:
  {String} action
  Returns:
    {Boolean}
- <static> {String[]} Story.getStatus()
  Returns:
    {String[]}
  See:
    defineConstants
- {String} getTitle(limit)
  Parameters:
  {Number} limit
  Returns:
    {String}
- isCustomContent(name)
  Parameters:
  {String} name
- link_macro(param, action, text)
  Parameters:
  {Object} param
  {String} action
  {String} text
- {String} macro_filter(value, param)
  Parameters:
  {String|Skin} value
  {Object} param
  Returns:
    {String}
- referrers_macro(param, limit)
  Parameters:
  {Object} param
  {Number} limit
- <static> Story.remove()
- setCustomContent(data)
  Parameters:
  {Object} data
- summary_macro(param)
  Parameters:
  {Object} param
- tags_macro(param, mode)
  Parameters:
  {Object} param
  {String} mode
- update(data)
  Parameters:
  {Object} data
- {String} url_filter(value, param, mode)
  Parameters:
  {String} value
  {Object} param
  {String} mode
  Returns:
    {String}